BizKitHub
DocsAPI ReferenceCalendar/bff/calendar/detail-reservations
getCalendarAdmin BFF

/bff/calendar/detail-reservations

Returns a paginated list of calendar event reservations. Can be filtered by customer and/or calendar.

CalendargetBffCalendarDetail-reservations

Parameters

4 query

Query parameters

· 4
customerIdstringOptional

Customer reference number to filter reservations by.

Exampleexample_customerId
calendarIdstringOptional

Calendar code to filter reservations by.

Exampleexample_calendarId
pagenumberOptional

Page number for pagination (default 1).

Example0
limitnumberOptional

Number of items per page (default 100).

Example0

Response schema

1 status code documented

200Success

This response returns no JSON body.

Response example

application/json
{
  "success": true
}

Request example

GET /bff/calendar/detail-reservations

get
curl -X GET "https://api.bizkithub.com/bff/calendar/detail-reservations?customerId=example_customerId&calendarId=example_calendarId&page=0&limit=0" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key